subroutine F_Expr(f_source, f_text)

character(132) f_source
character(132) line, f_text(2)
character(1) TAB*1, sp*1


f_text(1) ='f  =?'
f_text(2) ='f1 =?'

open(10, file =f_source, status ='old', form ='formatted', iostat =k_open)

if(k_open /=0) return

TAB =char( ichar("	") )
sp =char(32)


WH_DO: DO WHILE (.not.EOF(10))
read(10, '(a)') line

! Skip blank line
if(len_trim(line) ==0) cycle WH_DO
if(line(1:1) =='!') cycle WH_DO
if(line(1:3) =='sub') cycle WH_DO
if(line(1:4) =='real' .or. line(1:4) =='inte' .or. line(1:4) =='char') cycle WH_DO

! Supress leading blanks (if any):
100 if(line(1:1) ==sp) then
line =adjustl(line)
goto 100
endif

! SEARCH in "line" for "f" and "=":
ig1  =index(line, "f"); ig2 =index(line, "=");

if(ig1 /=0 .and. ig2 /=0) then

	if(line(1:2) =='f1') then
	f_text(2) ='f1 '//trim(line(ig2:))

	else
	f_text(1) ='f  '//trim(line(ig2:))
	endif
endif

ENDDO WH_DO

close(10)

END
